[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: really fixup last two commits
Holger Levsen
holger at moszumanska.debian.org
Fri Mar 13 16:57:24 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit b7a303819727cd1dc33705ebdedc88eb79ae35cb
Author: Holger Levsen <holger at layer-acht.org>
Date: Fri Mar 13 17:55:23 2015 +0100
reproducible: really fixup last two commits
---
bin/reproducible_build.sh | 12 ++++++++++--
1 file changed, 10 insertions(+), 2 deletions(-)
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index a2a12ac..31cf7f7 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -184,14 +184,22 @@ else
update_db_and_html
exit 0
else
- set -e
VERSION=$(grep "^Version: " ${SRCPACKAGE}_*.dsc| head -1 | egrep -v '(GnuPG v|GnuPG/MacGPG2)' | cut -d " " -f2-)
# EPOCH_FREE_VERSION was too long
EVERSION=$(echo $VERSION | cut -d ":" -f2)
# preserve RBUILDLOG as TMPLOG, then cleanup userContent from previous builds,
# and then access RBUILDLOG with it's correct name (=eversion)
TMPLOG=$(mktemp)
- mv ${RBUILDLOG} ${TMPLOG} || { echo "Warning, package ${SRCPACKAGE} in ${SUITE} on ${ARCH} is probably already building elsewhere, exiting." ; exit 0 }
+ # catch race conditions due to several builders trying to build the same package
+ mv ${RBUILDLOG} ${TMPLOG}
+ RESULT=$?
+ if [ $RESULT -ne 0 ] ; then
+ echo "Warning, package ${SRCPACKAGE} in ${SUITE} on ${ARCH} is probably already building elsewhere, exiting."
+ echo "Warning, package ${SRCPACKAGE} in ${SUITE} on ${ARCH} is probably already building elsewhere, exiting. Please check $BUILD_URL" | mail -s "race condition found" qa-jenkins-scm at lists.alioth.debian.org
+ exit 0
+ fi
+ set -e
+
cleanup_userContent
RBUILDLOG=/var/lib/jenkins/userContent/rbuild/${SUITE}/${ARCH}/${SRCPACKAGE}_${EVERSION}.rbuild.log
mv ${TMPLOG} ${RBUILDLOG}
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list